/* $Id: cvtToSec1996_ymd_hms.c,v 1.1 1998/07/15 18:24:24 bruce Exp bruce $ */

/* $RCSfile: cvtToSec1996_ymd_hms.c,v $*/
/* $Author: bruce $ */
/* $Date: 1998/07/15 18:24:24 $ */
/* $Revision: 1.1 $ */

#include <sys/types.h>
#include "hdf.h"
#include "AceTime.h"
#include "AceTime_yd.h"
#include "utilities.h"

u_long cvtToSec1996_ymd_hms(long ymd, long hms)
{
   struct AceTime time;

   time.year = ymd/10000L + 1900L;
   if (time.year < 1950) time.year += 100L;
   time.month = (ymd/100L) % 100L;
   time.day = ymd % 100L;
   time.hour = hms/10000L;
   time.min = (hms/100L) % 100L;
   time.sec = hms % 100L;

   return cvtToSec1996(time);
}
